Bug 765456 - (GLUSTER-3724) rdd: enhancements in rdd
rdd: enhancements in rdd
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-10-17 01:59 EDT by Raghavendra Bhat
Modified: 2013-07-24 13:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2011-10-17 01:59:44 EDT
Currently rdd will copy the contents of an existing file to the new file. If the input file does not exist it will not copy. Changes are needed for rdd such that if the input file provided does not exist, then it will create the file and then does the random copy. File-size for the input file also should be given as an argument.
Comment 1 Anand Avati 2011-11-15 23:26:42 EST
CHANGE: http://review.gluster.com/596 (rdd takes input file and copies the its data to the specified output) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Raghavendra Bhat 2012-02-20 00:54:22 EST
Tested with glusterfs-3.3.0qa22. Now rdd creates the input file if the file does not exist and the filesize can also be given as an argument.

Note You need to log in before you can comment on or make changes to this bug.